

/**
 *
 * Interface for providing factory mappings
class SecureRandomProvider implements IProvider{

  final Random secure = Random.secure();

  @override
  void destroy() {
  }

  @override
  apply({Type type}) => SecureRandom(secure.nextDouble());
}

class SecureRandom {
  final double random;
  const SecureRandom(this.random);
}

injector.mapToProvider(SecureRandom,new SecureRandomProvider());
*/

abstract class IProvider{
  dynamic apply({Type type});

  void destroy();

}